# Method Stdio.UDP()->send()

Method send

  ``int` send(`string` `to`, `int`|`string` `port`, `string` `message`)`
  ``int` send(`string` `to`, `int`|`string` `port`, `string` `message`, `int` `flags`)`

Description

  Send data to a UDP socket. The recipient address will be `to` and port will be `port`.

  Flag `flag` is a bitfield, 1 for out of band data and 2 for don't route flag.

Returns

  The number of bytes that were actually written.